#include <conio.h>
#include <stdio.h>
#include <string.h>
#include "types.h"
#include "develop.h"
#include "menudefs.h"
#include "text_lib.h"
#include "wndo_lib.h"
#include "common.h"
#include "gamedefs.h"
#include "fx_man.h"
#include "menus.h"
#include "keyboard.h"
#include "util_lib.h"

/*
===================
=
= Shutdown
=
===================
*/

void ShutDown( void )
   {
   ShutdownTextMode ();
   ShutdownWindows();
   KB_Shutdown();
   }

/*
===================
=
= Startup
=
===================
*/

void Startup( void )
   {
   StartTextMode ();
   StartWindows();
   KB_Startup();
   }

/*
===================
=
= main
=
===================
*/

int main()
   {
   if (CheckParm("?"))
      {
      printf("SETUP Version %s\n",SETUPPROGRAMVERSION);
      printf("=================\n\n");
      printf("Command Line Paramaters\n");
      printf("   SETUPFILE - <filename> specify setup file to use\n");
      printf("   ?         - you're looking at it\n");
      printf("\n");
      return (0);
      }
   Startup();
   DoMainMenu();
   ShutDown();
   return (0);
   }
